%define epoch_kdelibs 30000000
%define source_date 20060919

Name: mandriva-kde-config
Summary: Mandriva KDE configuration 
Version:	2007
Release:	%mkrel 27
URL: http://www.mandriva.com
Group: Graphical desktop/KDE
BuildRoot: %_tmppath/%name-buildroot
Source0: %{name}-%{version}.%{source_date}.tar.bz2
Source1: updatekdeprofile
Source2:	mdv-startup.wav
License:	GPL
BuildArch: noarch

%description
This package regroups all specific Mandriva config file for KDE.
(kicker config etc.)

#--------------------------------------------------------------------

%package common
Group: Graphical desktop/KDE
Summary: common configs used for Mandriva theme

%description common
common configs used for Mandriva theme

%files common
%defattr(0644,root,root,755)
%dir %_localstatedir/mandriva/
%dir %_localstatedir/mandriva/kde-profiles/common
%_localstatedir/mandriva/kde-profiles/common/*
%attr(0755,root,root) %_bindir/updatekdeprofile
%config(noreplace ) %_sysconfdir/kderc
%_datadir/sounds/mdv-startup.wav

#--------------------------------------------------------------------

%package -n discovery-kde-config
Summary: Mandriva KDE configuration 
Group: Graphical desktop/KDE
Provides: kde-config-file = %version-%release
Requires: mandriva-theme
Requires: mandriva-kde-icons
Requires(pre): mandriva-kde-config-common = %version-%release
Conflicts: kdelibs-common < %epoch_kdelibs:3.5.1
Conflicts: kdebase-common < 1:3.5.2-10.1.20060mdk
Obsoletes: mandriva-kde-config-file
Requires(preun): mandriva-kde-config-common

%description -n discovery-kde-config
This package regroups all specific Mandriva config file for KDE.

%posttrans -n discovery-kde-config
updatekdeprofile --add %_localstatedir/mandriva/kde-profiles/discovery

%preun -n discovery-kde-config
if [ -x /usr/bin/updatekdeprofile ]; then
	updatekdeprofile --remove %_localstatedir/mandriva/kde-profiles/discovery
fi

%files -n discovery-kde-config
%defattr(0644,root,root,755)
%dir %_localstatedir/mandriva/kde-profiles/discovery
%_localstatedir/mandriva/kde-profiles/discovery/*

#--------------------------------------------------------------------

%package -n powerpack-kde-config
Summary: Mandriva KDE configuration 
Group: Graphical desktop/KDE
Provides: kde-config-file = %version-%release
Requires: mandriva-theme
Requires: mandriva-kde-icons
Requires(pre): mandriva-kde-config-common = %version-%release
Conflicts: kdelibs-common < %epoch_kdelibs:3.5.1
Conflicts: kdebase-common < 1:3.5.2-10.1.20060mdk
Obsoletes: mandriva-kde-config-file
Requires(preun): mandriva-kde-config-common

%description -n powerpack-kde-config
This package regroups all specific Mandriva config file for KDE.

%posttrans -n powerpack-kde-config
updatekdeprofile --add %_localstatedir/mandriva/kde-profiles/powerpack

%preun -n powerpack-kde-config
if [ -x /usr/bin/updatekdeprofile ]; then
	updatekdeprofile --remove %_localstatedir/mandriva/kde-profiles/powerpack
fi

%files -n powerpack-kde-config
%defattr(0644,root,root,755)
%dir %_localstatedir/mandriva/kde-profiles/powerpack
%_localstatedir/mandriva/kde-profiles/powerpack/*

#--------------------------------------------------------------------

%package -n powerpackplus-kde-config
Summary: Mandriva KDE configuration 
Group: Graphical desktop/KDE
Provides: kde-config-file = %version-%release
Requires: mandriva-theme
Requires: mandriva-kde-icons
Requires(pre): mandriva-kde-config-common = %version-%release
Conflicts: kdelibs-common < %epoch_kdelibs:3.5.1
Conflicts: kdebase-common < 1:3.5.2-10.1.20060mdk
Obsoletes: mandriva-kde-config-file
Requires(preun): mandriva-kde-config-common

%description -n powerpackplus-kde-config
This package regroups all specific Mandriva config file for KDE.

%posttrans -n powerpackplus-kde-config
updatekdeprofile --add %_localstatedir/mandriva/kde-profiles/powerpackplus

%preun -n powerpackplus-kde-config
if [ -x /usr/bin/updatekdeprofile ]; then
	updatekdeprofile --remove %_localstatedir/mandriva/kde-profiles/powerpackplus
fi

%files -n powerpackplus-kde-config
%defattr(0644,root,root,755)
%dir %_localstatedir/mandriva/kde-profiles/powerpackplus
%_localstatedir/mandriva/kde-profiles/powerpackplus/*

#--------------------------------------------------------------------

%package -n one-kde-config
Summary: Mandriva KDE configuration 
Group: Graphical desktop/KDE
Provides: kde-config-file = %version-%release
Requires: mandriva-theme
Requires: mandriva-kde-icons
Requires(pre): mandriva-kde-config-common = %version-%release
Conflicts: kdelibs-common < %epoch_kdelibs:3.5.1
Conflicts: kdebase-common < 1:3.5.2-10.1.20060mdk
Obsoletes: mandriva-kde-config-file
Requires(preun): mandriva-kde-config-common

%description -n one-kde-config
This package regroups all specific Mandriva config file for KDE.

%posttrans -n one-kde-config
updatekdeprofile --add %_localstatedir/mandriva/kde-profiles/one

%preun -n one-kde-config
if [ -x /usr/bin/updatekdeprofile ]; then
	updatekdeprofile --remove %_localstatedir/mandriva/kde-profiles/one
fi

%files -n one-kde-config
%defattr(0644,root,root,755)
%dir %_localstatedir/mandriva/kde-profiles/one
%_localstatedir/mandriva/kde-profiles/one/*

#--------------------------------------------------------------------

%package -n free-kde-config
Summary: Mandriva KDE configuration 
Group: Graphical desktop/KDE
Provides: kde-config-file = %version-%release
Requires: mandriva-theme
Requires: mandriva-kde-icons
Requires(pre): mandriva-kde-config-common = %version-%release
Conflicts: kdelibs-common < %epoch_kdelibs:3.5.1
Conflicts: kdebase-common < 1:3.5.2-10.1.20060mdk
Obsoletes: mandriva-kde-config-file
Requires(preun): mandriva-kde-config-common
Obsoletes: download-kde-config-2007 <= 18mdv2007.0 
Provides:	download-kde-config-2007


%description -n free-kde-config
This package regroups all specific Mandriva config file for KDE.

%posttrans -n free-kde-config
updatekdeprofile --add %_localstatedir/mandriva/kde-profiles/free

%preun -n free-kde-config
if [ -x /usr/bin/updatekdeprofile ]; then
	updatekdeprofile --remove %_localstatedir/mandriva/kde-profiles/free
fi

%files -n free-kde-config
%defattr(0644,root,root,755)
%dir %_localstatedir/mandriva/kde-profiles/free
%_localstatedir/mandriva/kde-profiles/free/*

#--------------------------------------------------------------------
# KDM

%package -n mandriva-kdm-config
Summary: Mandriva KDM config file
Group: Graphical desktop/KDE
Obsoletes: kdebase-kdm-config-file
Provides: kdm-config-file = %version-%release
# For upgrade 
Provides: kdebase-kdm-config-file = 2:%version 
Conflicts: kdebase-progs <= 3.5.1-15.1.20060mdk
Obsoletes: mandriva-kde-config-file
Requires(post): perl-MDK-Common

%description -n mandriva-kdm-config
Mandriva KDM config file

%trigger -n mandriva-kdm-config -- kdebase-kdm-config-file 
perl -MMDK::Common -e 'update_gnomekderc("/etc/kde/kdm/kdmrc", "General", "ConsoleTTYs", "tty1,tty2,tty3,tty4,tty5,tty6", "ServerVTs", "-7")'

%pre -n mandriva-kdm-config
if [ ! -h "%_datadir/config" ]; then
   [ ! -d "%_sysconfdir/kde" ] && mkdir -p %_sysconfdir/kde
   cp -arf %_datadir/config/* %_sysconfdir/kde/
   rm -rf %_datadir/config
   ln -s %_sysconfdir/kde %_datadir/config   
fi

%posttrans -n mandriva-kdm-config
# Test if the rpm bug was not triggered
cd %_sysconfdir/kde/kdm
if [ ! -f kdmrc -a -f kdmrc.rpmsave ]; then
   mv kdmrc.rpmsave kdmrc
fi
if [ ! -f backgroundrc -a -f backgroundrc.rpmsave ]; then
   mv backgroundrc.rpmsave backgroundrc
fi

%files -n mandriva-kdm-config
%defattr(0644,root,root,0755)
%config(noreplace) %_sysconfdir/kde/kdm

#---------------------------------------

%prep
%setup -q 

%install
rm -rf %buildroot
# Create profile dirs
mkdir -p %buildroot/%_sysconfdir/kde
mkdir -p %buildroot/%_localstatedir/mandriva

mv kde-profiles %buildroot/%_localstatedir/mandriva
mv kdm %buildroot/%_sysconfdir/kde

# kdm migration
install -d -m 0755 %buildroot/%_bindir

# updatekdeprofiles
install -m 0755 %SOURCE1 %buildroot/%_bindir/updatekdeprofile

install -d -m 0755 %buildroot/%_datadir/sounds/
install -m 0644 %SOURCE2 %buildroot/%_datadir/sounds/

# We symlink all not specific configs from common
CFGDIR="%_localstatedir/mandriva/kde-profiles"
pushd %buildroot/${CFGDIR}
for config in discovery powerpack powerpackplus one free; do
   pushd common
      find . -type d -exec mkdir -p ../${config}/{} \;
   popd
   find common -type f | while read common; do
      dest=`echo ${common} | sed "s,common,${config},g"`
      [ ! -f "$dest" ] && ln -sf "$CFGDIR/$common" "$dest"
   done
done

# Create empty kderc
install -d 0755 %buildroot/%_sysconfdir/
cat << EOF > %buildroot/%_sysconfdir/kderc
[Directories-default]
prefixes=
EOF
chmod 0644 %buildroot/%_sysconfdir/kderc


%clean
rm -rf %buildroot



%changelog
* Wed Sep 20 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-09-20 17:58:53 (62464)
- New package (2006-09-20 27mdv)
  Fix migrate kdm from 2006 (thanks Pixel)

* Tue Sep 19 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-09-19 13:43:14 (62343)
- New package (26mdv 2006-09-19)
  Only description into menu for one/discovery

* Mon Sep 18 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-09-18 14:38:51 (61919)
- New package( 2006-09-18 25mdv)
  Fix wav encodage

* Fri Sep 15 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-09-15 15:54:12 (61581)
- New sound

* Fri Sep 15 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-09-15 14:56:12 (61570)
- New package (2006-09-15 23mdv)
  Add new mdk statup function

* Fri Sep 15 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-09-15 11:27:22 (61542)
- New package (2006-09-15 22mdv)
  Add default sounds

* Thu Sep 14 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-09-14 16:32:17 (61458)
- New package (2006-09-14 21mdv)
  Use double click

* Thu Sep 14 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-09-14 13:35:05 (61419)
- New version
  Fix kicker right button

* Tue Sep 12 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-09-12 18:10:16 (61072)
- New package (2006-09-12 19mdv)
  Rename download->free
  Fix typo

* Tue Sep 12 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-09-12 16:05:52 (61046)
- Add missing test

* Mon Sep 11 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-09-11 16:35:22 (60840)
- New package (2006-09-11 18mdv)
  Workaround for Requires(preun) which doesn't work

* Mon Sep 11 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-09-11 16:11:20 (60830)
- New package (2006-09-11 16mdv)
  Fix device on desktop

* Mon Sep 11 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-09-11 11:14:40 (60764)
- New package (2006-09-11 16mdv)
  Fix default color, don't display tooltip by default

* Mon Sep 11 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-09-11 10:52:55 (60757)
- New package (2006-09-11 15mdv)
  Fix kicker default apps

* Fri Sep 08 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-09-08 10:42:31 (60598)
- New package (2006-09-08 14mdv)
  Use by default ia_ora-kde theme

* Wed Sep 06 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-09-06 08:52:04 (60211)
- New package (2006/09/06 -13mdv)
  /var/lib/mandriva now is owned by this package
  Add requires postun (need to uninstall package)

* Tue Sep 05 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-09-05 20:09:57 (60141)
- Added new configuration for kscd

* Tue Sep 05 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-09-05 15:46:15 (60084)
- New package (2006-09-05 2007-10mdv)
  Now each distro load correct scheme files

* Sun Sep 03 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-09-03 11:01:06 (59661)
- Fix typo

* Thu Aug 31 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-08-31 16:51:24 (59028)
- Xdmcp back to disabled due popular demand.
- Fixed post update of profile ( Thanks to Nanar )

* Wed Aug 30 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-08-30 18:21:34 (58847)
- Fix kside

* Wed Aug 30 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-08-30 16:16:57 (58825)
- Fixed background defaults. Thanks to Laurent Montel

* Wed Aug 30 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-08-30 16:04:58 (58815)
- Moved configs for a non versionated directories. Requested by Pixel and Laurent
- Fixed the clean generation if /etc/kderc.
- Fixed kcookiejar config, which for some reason is making some people getting
  the cookies ask dialog back

* Mon Aug 28 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-08-28 16:16:14 (58364)
- Fix install for directories with space ( Galaxy )

* Mon Aug 28 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-08-28 15:33:15 (58338)
- Use the right tarball

* Mon Aug 28 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-08-28 15:28:58 (58336)
- Return to old Galaxy name for ksplash. Keep Mandriva2007 for "in the middel of
  cooker" upgrade
- Fixed invalid resources
- Set 2 desktops for discovery

* Thu Aug 24 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-08-24 21:12:38 (57975)
- Moved terminal from rxvt to xterm in failsafe session of kdm. rxvt not support
  utf-8 and most installations are using this by default
- Fixed bug http://qa.mandriva.com/show_bug.cgi?id=24690 ( Wrong X path )
- enabled xdmcp by default. System listen just locally.

* Thu Aug 24 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-08-24 20:05:38 (57956)
- Fixed type on ksplash theme rc
- Fixed kdm postinstall

* Wed Aug 23 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-08-23 20:24:59 (57753)
- Fixed updatekdeprofile by Nanar ( thanks )
- Fixed config paths
- Fixed upgrade of kdm config
- Uploaded Mandriva configs for svn on soft

* Fri Aug 18 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-08-18 21:09:46 (56804)
- Added kside images ( depends on remove switch patch on kdebase )
- Added new ksplash theme ( will have different color ones ones ? )

* Fri Aug 18 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-08-18 19:44:12 (56800)
- preserv order of value
- the regexp need an eol marker
- no space around the ,

* Wed Aug 16 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-08-16 19:50:13 (56441)
- First fully operational package. Thanks to Nanar for all help

* Wed Aug 16 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-08-16 19:36:08 (56439)
- import mandriva-kde-config-2007-1mdv2007.0

